## Welcome to AuthProxy

This is a simple reverse proxy for Rack. It is not meant for production systems (although it may work), as the webserver fronting your app is generally much better at this sort of thing.

## Example usage

````ruby
require 'auth_proxy'
require 'omniauth-github'

use Rack::Session::Cookie, :secret => 'change_me'

use OmniAuth::Builder do
  provider:github, 'key', 'secret'
end

run AuthProxy.new(secret: 'change_me', {
  '/doodles' => 'https://www.google.com/'
})
````

Would automatically proxy requests
- http://localhost/doodles => https://www.google.com/doodles
- http://localhost/doodles/static/styles.css => https://www.google.com/doodles/static/styles.css

## Code Status

[![Build Status](https://semaphoreci.com/api/v1/projects/60b3b39b-fa3f-46e1-9a90-ede9107e1ccf/484376/badge.svg)](https://semaphoreci.com/karlentwistle/auth_proxy)

## License

AuthProxy is released under the [MIT License](http://www.opensource.org/licenses/MIT).
