# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'auth_proxy/version'

Gem::Specification.new do |spec|
  spec.name          = "auth_proxy"
  spec.version       = AuthProxy::VERSION
  spec.authors       = ["Karl Entwistle"]
  spec.email         = ["karl@simpleweb.co.uk"]

  spec.summary       = %q{simple reverse proxy for Rack.}
  spec.description   = %q{This is a simple reverse proxy for Rack. It is not meant for production systems (although it may work), as the webserver fronting your app is generally much better at this sort of thing.}
  spec.homepage      = "https://github.com/karlentwistle/auth_proxy"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "omniauth-github", "~> 1.1.2"
  spec.add_dependency 'rack', '~> 1.6.4'
  spec.add_dependency 'rack-reverse-proxy', '~> 0.9.0'
  spec.add_dependency 'rack-router', '~> 0.6.0'

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency 'pry', '~> 0.10.1'
  spec.add_development_dependency 'rspec', '~> 3.3.0'
end

